<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<style type="text/css">
	img{
		width:100px;
		height:220px;
		margin:0px auto;
		display:block;
		outline:2px solid rgba(0,0,0,1);
	}
</style>
<script type="text/javascript">
var contador=1; // global
var direccion="ascendente"; // memoria del programa

function pasar(){

	var caja=document.querySelector("img");
	caja.src="img/"+contador+".jpg";
	
	if(direccion=="ascendente"){
		contador++;
	}else if(direccion=="descendente"){
		contador--;
	}
	
	
	if(contador==9){
		direccion="descendente";
	}else if(contador==1){
		direccion="ascendente";
	}
}
</script>
</head>

<body>
<img onClick="pasar()">
</body>
</html>
